Skip to main content
`Ctrl`+`K`

# SVDGetSignature

Get the signature matrix defining a hyperbolic singular value problem.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetSignature(SVD svd,Vec omega)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- omega - a vector containing the diagonal elements of the signature matrix

## Notes

The signature matrix is relevant only for hyperbolic problems (HSVD). If no signature has been set, this function will return a vector of all ones.

The user should pass a previously created `Vec` with the appropriate dimension.

## See Also

SVD: Singular Value Decomposition, `SVDSetSignature()`, `SVD_HYPERBOLIC`

## Level

intermediate

## Location

src/svd/interface/svdsetup.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages